//
//  HomeTableViewController.swift
//  StucoCoreLocationDemo
//
//  Created by Amolak Nagi on 11/29/15.
//  Copyright © 2015 Amolak Nagi. All rights reserved.
//

import UIKit

class HomeTableViewController: UITableViewController {
    
    var tableCells : [String] = ["Location Demo",
                                 "Map Demo"]



    //Table View Delegate Methods
    override func numberOfSectionsInTableView(tableView: UITableView) -> Int
    {
        return 1
    }

    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int
    {
        return self.tableCells.count
    }

    
    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell
    {
        let cell = UITableViewCell.init(style: .Default, reuseIdentifier: "Cell")
        
        cell.textLabel!.text = self.tableCells[indexPath.row] as String

        return cell
    }
    
    override func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath)
    {
        tableView.deselectRowAtIndexPath(indexPath, animated: true)
        self.performSegueWithIdentifier(self.tableCells[indexPath.row], sender: nil)
    }


}
